﻿#azureIdBtn {
    font-weight: 600;
    color: #5E5E5E;
    background-color: #FFFFFF !important;
    border-width: 1px;
    border-color: #8C8C8C !important;
    font-size: 15px;
    margin-top: 100px;
}

.middle-box2 {
    max-width: 400px;
    z-index: 100;
    padding-top: 40px;
}

.layout .login {
    height: 40em;
    backdrop-filter: blur(0.4em);
    width: 400px;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    border-radius: 20px;
    overflow: hidden;
    border-width: 1px;
    border-style: solid;
    border-color: rgb(210, 215, 223);
    border-image: initial;
    margin: auto;
    gap: 1em;
    background-color: var(--color-bg-subtle);
    align-items: center;
    max-width: unset;
    justify-content: space-between;
}

div#CompanyLogo {
    display: flex;
    width: 12em;
    height: 12em;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    background-color: var(--color-primary);
}

.user-icon {
    font-size: 7em;
    color: var(--color-text-inverse);
}

#LoginBack {
    position: relative;
}

form#ClickLogin {
    display: flex;
    flex-direction: column;
    gap: 1em;
    align-items: stretch;
    height: 100%;
}

input#Pass {
    border-right: none;
}

a#showhide {
    border: 1px solid #e5e6e7;
    /*background-color: light-dark(rgb(232, 240, 254), rgba(70, 90, 126, 0.4)) !important;*/
    background-color: #FFFFFF;
    border-left: none;
}
.checkbox.user_string_input_container {
    border: none;
}
.user_string_input_container {
    max-width: 70%;
    display: flex;
    flex-wrap: nowrap;
    width: 21em;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

section#ClickLoginSection {
    display: flex;
    width: 100%;
    flex-direction: column;
}

.form-group {
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: stretch;
}

.passwordMessageContainer {
    width: 300px;
    color: var(--color-primary);
}
.passwordMessageContainer a {
    color: var(--color-primary);
    font-size: 1.1em;
    font-family: Roboto-Bold,Helvetica,sans-serif!important;

    /*border: 1px solid  var(--color-primary);*/
    line-height: 19px;
    padding: 1px 1px 1px 1px;
}
div#loginClickMessagesRow {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    margin: 0;
}

.login-btn-container {
    height: 65px;
    margin-top: auto;
}

label {
    display: flex;
    margin-bottom: 0;
    justify-content: center;
    align-items: center;
    align-content: center;
    gap: 0.3em;
}

.login .btn-default {
    width: 100%;
    background-color: var(--color-primary) /*!important*/;
    border-color: var(--color-primary) /* !important*/;
    color: var(--color-text-inverse) /*!important*/;
}

#LoginScreenErrorMessageContainer {
    height : 3em;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

    #LoginScreenErrorMessageContainer > div > ul {
        margin: 0;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 0.1em;
    }

.form-control, .single-line {
    height: stretch;
}

.form-group.login-btn {
    height: 100%;
}

.forgot-pass {
    padding-left: 0px;
    padding-right: 10px;
    margin-left: -8px;
     border: 1px solid #005C99;
    line-height: 19px;
    padding: 1px 1px 1px 1px;
    margin: 0;
    width: 300px;
}
.forgot-pass a {
    color: #005C99 !important;
}


.user_string_input_container.text-danger {
    max-width: unset;
    width: auto;
    padding: 1em;
}